Bug 1465107 - [RFE] Collect template disk usage info into data warehouse
[RFE] Collect template disk usage info into data warehouse
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
4.1.2
x86_64 Linux
medium Severity medium
: ovirt-4.3.0
: ---
Assigned To: nobody nobody
meital avital
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 12:38 EDT by Mauro Oddi
Modified: 2017-11-26 06:54 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Metrics
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
top VMs in RHEV.TLV internal setup (240.89 KB, image/png)
2017-06-28 04:30 EDT, Yaniv Kaul
no flags Details

  None (edit)
Description Mauro Oddi 2017-06-26 12:38:34 EDT
Description of problem:
The user has over 2000 templates per storage domain and to know which objects are consuming more space of the storage domain has to fall back the REST API to list the disk usage per template. Otherwise has to open the templates one by one from the Template Tab to see disk consumption which is deemed impractical for such amount.

The user proposed as a solution to have an extra sortable column for the actual disk usage in the Template Tab but any alternative solution that allows to use the portal to see this information is valid.
Comment 7 Allon Mureinik 2017-06-27 14:16:01 EDT
The requirement makes perfect sense to me, but the proposed solution does not. Templates are virt entities, and they may have disks on several storage domains, or even several copies of the the same disk on different domains. Looking for the space consumers from the template main tab is the wrong idea, IMHO.

If the concern is the consumed space, the right place to look for the chief offenders should be the disks. There are currently two entry points. Unfortunately, both have some functionality missing

1. The Disks main tab. 
 - allows searching according to the storage domain's parameters (e.g., name)
 - does not display the actual size (seems like an easy win to add it)
 - displays the vm/template the disk is attached to and its type, but does not allow searching/sorting by it.

2. The Disks subtab under a storage domain.
 - The storage domain is implied (by selecting it in the maintab)
 - displays the actual size and allows sorting by it
 - displays the vm/template the disk is attached to and its type, but does not allow searching/sorting by it. 
 - subtabs, unfortunately, don't have a search function, nor a multi-teired sorting. However, if most of the VMs are thinly provisioned on top of templates, chances are that the largest disks on the storage domain would be the base templates anyway.

Mauro - if using either of the aforementioned options makes sense to you, we'll go ahead and analyze the amount of work to close the gaps mentioned there, but offhand, with the exception of the multi-tiered sorting which is a system-wide effort, nothing here looks too complicated to implement.
Comment 8 Yaniv Kaul 2017-06-28 04:29:50 EDT
Mauro - did you try and look at the dashboard (see attachment) ?
Comment 9 Yaniv Kaul 2017-06-28 04:30 EDT
Created attachment 1292585 [details]
top VMs in RHEV.TLV internal setup

Note You need to log in before you can comment on or make changes to this bug.